### Function

# Camel pstring_add

#### Declaration [src]

    const gchar*
    camel_pstring_add (
      gchar* string,
      gboolean own
    )

#### Description [src]

Add `string` to the pool.

The `NULL` and empty strings are special cased to constant values.

Unreference the returned string with camel_pstring_free().

#### Parameters

`string`

  Type: `gchar*`

  String to add to the string pool.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`own`

  Type: `gboolean`

  Whether the string pool will own the memory pointed to by `string`, if `string` is not yet in the pool.

#### Return value

Type: `const gchar*`

A canonicalized copy of `string`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.